Package ghidra.program.model.lang

# Class InstructionBlockFlow

java.lang.Object
ghidra.program.model.lang.InstructionBlockFlow

All Implemented Interfaces:
  `Comparable<InstructionBlockFlow>`

public class InstructionBlockFlow extends Object implements Comparable<InstructionBlockFlow>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `InstructionBlockFlow.Type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstructionBlockFlow(Address address, Address flowFrom, InstructionBlockFlow.Type type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(InstructionBlockFlow o)`
  `boolean`
  `equals(Object obj)`
  `Address`
  `getDestinationAddress()`
  Get the flow destination address
  `Address`
  `getFlowFromAddress()`
  Get the flow from address
  `InstructionBlockFlow.Type`
  `getType()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InstructionBlockFlow

    public InstructionBlockFlow(Address address, Address flowFrom, InstructionBlockFlow.Type type)

- ## Method Details

  - ### getDestinationAddress

    public Address getDestinationAddress()
    Get the flow destination address
    Returns:
      flow destination address

  - ### getFlowFromAddress

    public Address getFlowFromAddress()
    Get the flow from address
    Returns:
      flow from address (may be null)

  - ### getType

    public InstructionBlockFlow.Type getType()
    Returns:
      flow type

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### compareTo

    public int compareTo(InstructionBlockFlow o)
    Specified by:
      `compareTo` in interface `Comparable<InstructionBlockFlow>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`